# $Revision: 1.7 $, $Date: 2008/07/27 22:33:18 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Trace
Summary:	Devel::Trace - print out each line before it is executed (like `sh -x')
Summary(pl.UTF-8):	Devel::Trace - wypisywanie każdej linii przed wykonaniem (jak `sh -x')
Name:		perl-Devel-Trace
Version:	0.10
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da8d841665fd147b19c4b792fb312da8
URL:		http://www.plover.com/~mjd/perl/Trace/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you run your program with `perl -d:Trace program', this module will
print a message to standard error just before each line is executed.
This is is something like the shell's `-x' option.

%description -l pl.UTF-8
Jeśli uruchomi się program poprzez `perl -d:Trace program', ten moduł
będzie wypisywał na standardowe wyjście diagnostyczne komunikat przed
wykonaniem każdej linii. Jest to coś w rodzaju opcji `-x' powłoki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__perl} -pi -e 's@<STDIN>;@#<STDIN>;@' test.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Devel/Trace.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Trace.spec,v $
Revision 1.7  2008/07/27 22:33:18  arekm
- release 3

Revision 1.6  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:19  paladine
- formatting

Revision 1.3  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.2  2004/04/12 00:38:29  qboosh
- pl, noarch, License changed to unknown (no info included)

Revision 1.1  2004/04/11 11:58:38  agaran
new spec, bit ugly fix for <STDIN> but works
